org.apache.ignite.internal.visor.snapshot

## Enum VisorSnapshotRestoreTaskAction

- java.lang.Object
- - java.lang.Enum<VisorSnapshotRestoreTaskAction>
  - - org.apache.ignite.internal.visor.snapshot.VisorSnapshotRestoreTaskAction

All Implemented Interfaces:
  Serializable, Comparable<VisorSnapshotRestoreTaskAction>

    public enum VisorSnapshotRestoreTaskAction
    extends Enum<VisorSnapshotRestoreTaskAction>

Snapshot restore operation management action.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CANCEL` Cancel snapshot restore operation.
`START` Start snapshot restore operation.
`STATUS` Deprecated. Use `VisorSnapshotStatusTask` instead.

### Method Summary

All Methods Static Methods Concrete Methods
`static VisorSnapshotRestoreTaskAction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VisorSnapshotRestoreTaskAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### START

    public static final VisorSnapshotRestoreTaskAction START

Start snapshot restore operation.

#### CANCEL

    public static final VisorSnapshotRestoreTaskAction CANCEL

Cancel snapshot restore operation.

#### STATUS

    @Deprecated
    public static final VisorSnapshotRestoreTaskAction STATUS

Deprecated. Use `VisorSnapshotStatusTask` instead.
Status of the snapshot restore operation.

### Method Detail

#### values

    public static VisorSnapshotRestoreTaskAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VisorSnapshotRestoreTaskAction c : VisorSnapshotRestoreTaskAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VisorSnapshotRestoreTaskAction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022